//
//  CAGradientLayer+IAPUtils.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/31.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, IAPGradientDirection) {
  IAPGradientDirectionTopLeft = 0,
  IAPGradientDirectionTop = 1,
  IAPGradientDirectionLeft = 2,
};

@interface CAGradientLayer (IAPUtils)
+ (CAGradientLayer *)iapu_layerWithColors:(NSArray<UIColor *> *)colorArray direction:(IAPGradientDirection)direction;
@end

NS_ASSUME_NONNULL_END
