//
//  IAPStyleUtils.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/14.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface IAPStyleUtils : NSObject
+ (UIColor *)colorWithLightColor:(UIColor *)lightColor darkColor:(UIColor *)darkColor;
+ (UIImage *)imageWithLightImage:(UIImage *)lightImage darkImage:(UIImage *)darkImage;

+ (nullable NSBundle *)bundle;
+ (nullable UIImage *)bundleImageNamed:(NSString *)name;

+ (UIFont *)fontOfSize:(NSInteger)size;
+ (UIFont *)mediumFontOfSize:(NSInteger)size;
+ (UIFont *)boldFontOfSize:(NSInteger)size;
@end

NS_ASSUME_NONNULL_END
