//
//  IAPStyleUtils+PaymentSheet.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/15.
//

#import "IAPStyleUtils.h"

NS_ASSUME_NONNULL_BEGIN

@interface IAPStyleUtils (PaymentSheet)
+ (void)preloadSheetUIKeyImage;

+ (UIColor *)sheetCurtainColor;

+ (UIColor *)sheetBackgroundColor;

+ (UIColor *)sheetCheckoutTopViewBackgroundColor;

+ (UIColor *)sheetMainTitleTextColor;
+ (UIColor *)sheetTableSeparateLineColor;

+ (UIColor *)sheetLogoBorderLayerColor;
+ (UIColor *)sheetTagBorderLayerColor;
+ (UIColor *)sheetTagBackgroundColor;
+ (UIColor *)sheetTagTextColor;

+ (UIColor *)sheetToastBackgroundColor;
+ (UIColor *)sheetToastTextColor;

+ (UIColor *)sheetDisableTagTextColor;
+ (UIColor *)sheetMoreButtenTextColor;

+ (UIColor *)sheetOperationViewSeparateLineColor;
+ (UIColor *)sheetOperationViewBackgroundColor;
+ (UIColor *)sheetTotalTitleTextColor;
+ (UIColor *)sheetTotalValueTextColor;
+ (UIColor *)sheetPayButtonBackgroundColor;
+ (UIColor *)sheetPayButtonTextColor;

+ (UIColor *)sheetReturnButtonBorderLayerColor;
+ (UIColor *)sheetReturnButtonTextColor;

+ (UIColor *)sheetSearchFieldsViewBackgroundColor;
+ (UIColor *)sheetSearchFieldBackgroundColor;
+ (UIColor *)sheetSearchFieldPlaceholderTextColor;
+ (UIColor *)sheetSearchFieldTextColor;


+ (UIColor *)shadowColor;
#pragma mark- images

+ (UIImage *)aPlusCheckoutImage;
+ (UIImage *)closeImage;
+ (UIImage *)walletDisableImage;
+ (UIImage *)walletIsSelectedImage;
+ (UIImage *)walletIsNotSelectedImage;
+ (UIImage *)walletMoreImage;

+ (UIImage *)sheetSearchLeftImage;
+ (UIImage *)sheetSearchRightImage;
@end

NS_ASSUME_NONNULL_END
