//
//  IAPPaymentSheetContentView.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/20.
//

#import <UIKit/UIKit.h>
#import "IAPPaymentSheetCheckoutTopView.h"
#import "IAPPaymentData.h"
#import "IAPPaymentSheetOperationView.h"
#import "IAPPaymentWalletTableView.h"
#import "IAPPaymentSheetSearchView.h"

NS_ASSUME_NONNULL_BEGIN

@interface IAPPaymentSheetContentView : UIView
@property (nonatomic, strong) IAPPaymentSheetCheckoutTopView *checkoutTopView;
@property (nonatomic, strong) IAPPaymentWalletTableView *walletTableView;
@property (nonatomic, strong) IAPPaymentSheetOperationView *operationView;
@property (nonatomic, strong) IAPPaymentSheetSearchView *searchView;

@property (nonatomic, strong) IAPPaymentData *paymentData;
- (instancetype)initWithFrame:(CGRect)frame paymentData:(IAPPaymentData *)paymentData interfaceOrientation:(UIInterfaceOrientation)interfaceOrientation;

- (void)preload;
@end

NS_ASSUME_NONNULL_END
