//
//  IAPPaymentSheetEvent.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/19.
//

#import "IAPPaymentSheetEvent.h"

@interface IAPPaymentSheetEvent ()
@property (nonatomic, strong, readwrite) IAPPaymentSheetEventName name;
@property (nonatomic, strong, readwrite, nullable) NSString *message;
@end
@implementation IAPPaymentSheetEvent
+ (instancetype)eventWithName:(IAPPaymentSheetEventName)name message:(nullable NSString *)message {
    IAPPaymentSheetEvent *event = [self new];
    event.name = name;
    event.message = message;
    return event;
}
@end
