//
//  ErrorUtilsTests.m
//  AlipayPlusClientTests
//
//  Created by assuner on 2022/3/16.
//

#import <XCTest/XCTest.h>
#import "NSError+IAPUtils.h"
#import "IAPConstant.h"

@interface ErrorUtilsTests : XCTestCase

@end

@implementation ErrorUtilsTests

- (void)setUp {
    // Put setup code here. This method is called before the invocation of each test method in the class.
}

- (void)tearDown {
    // Put teardown code here. This method is called after the invocation of each test method in the class.
}

- (void)testGo {
    NSError *error = [NSError iapu_paramsIllegalErrorWithExtraMessage:@"123"];
    XCTAssertTrue([error.domain isEqualToString:IAPErrorDomain] && error.code == IAPErrorParamIllegal && [error.localizedDescription isEqualToString:@"PARAM_ILLEGAL: 123"], @"");
    
    error = [NSError iapu_invalidNetworkErrorWithExtraMessage:@"123"];
    XCTAssertTrue([error.domain isEqualToString:IAPErrorDomain] && error.code == IAPErrorInvalidNetwork && [error.localizedDescription isEqualToString:@"INVALID_NETWORK: 123"], @"");
    
    error = [NSError iapu_systemErrorWithExtraMessage:@"123"];
    XCTAssertTrue([error.domain isEqualToString:IAPErrorDomain] && error.code == IAPErrorSystemError && [error.localizedDescription isEqualToString:@"SYSTEM_ERROR: 123"], @"");
}

@end
