//
//  IAPJSONUtilsTests.m
//  AlipayPlusClientTests
//
//  Created by assuner on 2022/3/16.
//

#import <XCTest/XCTest.h>
#import "IAPJSONUtils.h"

@interface IAPJSONUtilsTests : XCTestCase

@end

@implementation IAPJSONUtilsTests

- (void)setUp {
    // Put setup code here. This method is called before the invocation of each test method in the class.
}

- (void)tearDown {
    // Put teardown code here. This method is called after the invocation of each test method in the class.
}

- (void)testJSONDictionaryFromDataAndString {
    NSData *data = (id)@"123";
    NSDictionary *json = [IAPJSONUtils JSONDictionaryFromData:data];
    XCTAssertTrue(!json, @"");
    
    json = [IAPJSONUtils JSONDictionaryFromString:@"{\"en_US\":\"up to 20 PHP off\",\"th_TH\":\"คูปองส่วนลด 30 บาท\"}"];
    XCTAssertTrue(json.count == 2, @"");
    
    json = [IAPJSONUtils JSONDictionaryFromString:@"{\"en_US\"th_TH\":\"คูปองส่วนลด 30 บาท\"}"];
    XCTAssertTrue(json.count == 0, @"");
    
    json = [IAPJSONUtils JSONDictionaryFromString:@"[]"];
    XCTAssertTrue(json.count == 0, @"");
}


@end
