package com.iap.basic.alipay.config;

/**
 * Author kanguihu
 * Data   2022/3/8
 * Desc
 */
public class ConfigurationManager {

    private IAPConfiguration configuration;

    private static volatile ConfigurationManager instance = null;

    public static ConfigurationManager getInstance() {
        if (instance == null) {
            synchronized (ConfigurationManager.class) {
                if (instance == null) {
                    instance = new ConfigurationManager();
                }
            }
        }
        return instance;
    }

    public void initConfguration(IAPConfiguration configuration) {
        this.configuration = configuration;
    }

    public IAPConfiguration getConfiguration() {
        if (configuration == null) {
            configuration = new IAPConfiguration();
        }
        return configuration;
    }

}
