package com.iap.basic.alipay.http.core;


import com.iap.basic.alipay.http.model.HttpRequest;
import com.iap.basic.alipay.http.model.HttpResponse;

public interface HttpInterceptor {
    HttpResponse intercept(Chain chain) throws Exception;
    interface Chain {
        HttpRequest request();
        HttpResponse proceed(HttpRequest request) throws Exception;
    }
}
