package com.iap.cashier.data;

import com.iap.alipayplusclient.R;

import java.util.HashMap;

/**
 * Author kanguihu
 * Data   2022/3/17
 * Desc
 */
public class Constants {

    public static HashMap<String, Integer> logoMap = new HashMap<>();

    static {
        logoMap.put("alipay_cn", R.drawable.alipay_cn);
        logoMap.put("alipay_hk", R.drawable.alipay_hk);
        logoMap.put("bpi", R.drawable.bpi);
        logoMap.put("dana", R.drawable.dana);
        logoMap.put("ezlink", R.drawable.ezlink);
        logoMap.put("gcash", R.drawable.gcash);
        logoMap.put("kakaopay", R.drawable.kakaopay);
        logoMap.put("rabbit_line_pay", R.drawable.rabbit_line_pay);
        logoMap.put("tinaba", R.drawable.tinaba);
        logoMap.put("tng", R.drawable.tng);
        logoMap.put("truemoney", R.drawable.truemoney);
    }

    public static final String ENV_SANDBOX = "SANDBOX";
    public static final String ENV_PROD = "PROD";

    public static final String KEY_RECENTLY_WALLET_USED = "recently_wallet_used";
    public static final String KEY_PAYMENT_OPTION = "payment_option_";

    public static final String CDN_URL_PROD = "https://resource.alipayplus.com/prod/";
    public static final String CDN_URL_SANDBOX_DEV = "http://imgs-ac-saas.dl.alipaydev.com/mgw.htm";
    public static final String CDN_URL_SANDBOX_SIT = "http://imgs-sggz00a-1.test.alipay.net/imgw.htm";
    public static final String CDN_URL_SANDBOX_PROD = "https://imgs-sea.alipay.com/mgw.htm";

    public static final String ERROR_PARAM_ILLEGAL = "1001";
    public static final String MESSAGE_PARAM_ILLEGAL = "PARAM_ILLEGAL";

    public static final String ERROR_INVALIDE_NETWORK = "1002";
    public static final String MESSAGE_INVALID_NETWORK = "INVALID_NETWORK";

    public static final String ERROR_SYSTEM_ERROR = "1003";
    public static final String MESSAGE_SYSTEM_ERROR = "SYSTEM_ERROR";

    public static final String EVENT_THROW_EXCEPTION = "EVENT_THROW_EXCEPTION";
    public static final String EVENT_THROW_EXCEPTION_MESSAGE = "The event where an exception is thrown.";

    public static final String EVENT_SELECT_AND_PAY = "EVENT_SELECT_AND_PAY";
    public static final String EVENT_SELECT_AND_PAY_MESSAGE = "The event where the user selected an MPP and clicked Pay Now to get redirected to the MPP app or WAP page.";

    public static final String EVENT_USER_CANCEL = "EVENT_USER_CANCEL";
    public static final String EVENT_USER_CANCEL_MESSAGE = "The event where the user clicked Close to cancel the payment.";

    public static final String EVENT_SHOW_SUCCESS = "EVENT_SHOW_SUCCESS";
    public static final String EVENT_SHOW_SUCCESS_MESSAGE = "The event where the payment sheet was successfully rendered.";

    public static final String EVENT_PAYMENT_SUCCESS = "EVENT_PAYMENT_SUCCESS";
    public static final String EVENT_PAYMENT_FAILED = "EVENT_PAYMENT_FAILED";
    public static final String EVENT_PAYMENT_CANCELED = "EVENT_PAYMENT_CANCELED";
    public static final String EVENT_PAYMENT_EXCEPTION = "EVENT_PAYMENT_EXCEPTION";
    public static final String EVENT_PAYMENT_PROCESSING = "EVENT_PAYMENT_PROCESSING";



    public static final String KEY_TYPE_ACTION = "action";
    public static final String KEY_TYPE_CHECK = "check";


}
