/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.constants;

/**
 * API endpoint
 *
 * @author wqy01239909
 * @version $Id: URIConstants.java, v 0.1 2022‐08‐31 16:42 wqy01239909 Exp $$
 */
public interface URIConstants {
    /** pay */
    String PAY                         = "/aps/api/v1/payments/pay";

    /** cancel payment */
    String CANCEL_PAYMENT              = "/aps/api/v1/payments/cancelPayment";

    /** refund */
    String REFUND                      = "/aps/api/v1/payments/refund";

    /** inquiry payment */
    String INQUIRY_PAYMENT             = "/aps/api/v1/payments/inquiryPayment";

    /** prepare */
    String PREPARE                     = "/aps/api/v1/authorizations/prepare";

    /** apply token */
    String APPLY_TOKEN                 = "/aps/api/v1/authorizations/applyToken";

    /** cancel token */
    String CANCEL_TOKEN                = "/aps/api/v1/authorizations/cancelToken";

    /** registration */
    String REGISTRATION                = "/aps/api/v1/merchants/registration";

    /** inquiry registration status */
    String INQUIRY_REGISTRATION_STATUS = "/aps/api/v1/merchants/inquiryRegistrationStatus";
}