/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * Goods
 *
 * @author wangpeng
 * @version $Id: Goods.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Goods extends ToString {

    /** serialVersionUID */
    private static final long serialVersionUID = -7068650466975172706L;
    /**
     * referenceGoodsId
     */
    private String            referenceGoodsId;
    /**
     * goodsName
     */
    private String            goodsName;
    /**
     * goodsCategory
     */
    private String            goodsCategory;
    /**
     * goodsBrand
     */
    private String            goodsBrand;
    /**
     * goodsUnitAmount
     */
    private Amount            goodsUnitAmount;
    /**
     * goodsQuantity
     */
    private Integer           goodsQuantity;

    /**
     * Getter method for property referenceGoodsId.
     *
     * @return property value of referenceGoodsId
     */
    public String getReferenceGoodsId() {
        return referenceGoodsId;
    }

    /**
     * Setter method for property referenceGoodsId.
     *
     * @param referenceGoodsId value to be assigned to property referenceGoodsId
     */
    public void setReferenceGoodsId(String referenceGoodsId) {
        this.referenceGoodsId = referenceGoodsId;
    }

    /**
     * Getter method for property goodsName.
     *
     * @return property value of goodsName
     */
    public String getGoodsName() {
        return goodsName;
    }

    /**
     * Setter method for property goodsName.
     *
     * @param goodsName value to be assigned to property goodsName
     */
    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    /**
     * Getter method for property goodsCategory.
     *
     * @return property value of goodsCategory
     */
    public String getGoodsCategory() {
        return goodsCategory;
    }

    /**
     * Setter method for property goodsCategory.
     *
     * @param goodsCategory value to be assigned to property goodsCategory
     */
    public void setGoodsCategory(String goodsCategory) {
        this.goodsCategory = goodsCategory;
    }

    /**
     * Getter method for property goodsBrand.
     *
     * @return property value of goodsBrand
     */
    public String getGoodsBrand() {
        return goodsBrand;
    }

    /**
     * Setter method for property goodsBrand.
     *
     * @param goodsBrand value to be assigned to property goodsBrand
     */
    public void setGoodsBrand(String goodsBrand) {
        this.goodsBrand = goodsBrand;
    }

    /**
     * Getter method for property goodsUnitAmount.
     *
     * @return property value of goodsUnitAmount
     */
    public Amount getGoodsUnitAmount() {
        return goodsUnitAmount;
    }

    /**
     * Setter method for property goodsUnitAmount.
     *
     * @param goodsUnitAmount value to be assigned to property goodsUnitAmount
     */
    public void setGoodsUnitAmount(Amount goodsUnitAmount) {
        this.goodsUnitAmount = goodsUnitAmount;
    }

    /**
     * Getter method for property goodsQuantity.
     *
     * @return property value of goodsQuantity
     */
    public Integer getGoodsQuantity() {
        return goodsQuantity;
    }

    /**
     * Setter method for property goodsQuantity.
     *
     * @param goodsQuantity value to be assigned to property goodsQuantity
     */
    public void setGoodsQuantity(Integer goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

}
