/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * Merchant
 *
 * @author wangpeng
 * @version $Id: Merchant.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Merchant extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = 1397680658241200248L;
    /**
     * referenceMerchantId
     */
    private String  referenceMerchantId;
    /**
     * merchantMCC
     */
    private String  merchantMCC;
    /**
     * merchantName
     */
    private String  merchantName;
    /**
     * merchantAddress
     */
    private Address merchantAddress;
    /**
     * merchantDisplayName
     */
    private String  merchantDisplayName;
    /**
     * merchantRegisterDate
     */
    private String  merchantRegisterDate;
    /**
     * store
     */
    private Store   store;

    /**
     * Getter method for property referenceMerchantId.
     *
     * @return property value of referenceMerchantId
     */
    public String getReferenceMerchantId() {
        return referenceMerchantId;
    }

    /**
     * Setter method for property referenceMerchantId.
     *
     * @param referenceMerchantId value to be assigned to property referenceMerchantId
     */
    public void setReferenceMerchantId(String referenceMerchantId) {
        this.referenceMerchantId = referenceMerchantId;
    }

    /**
     * Getter method for property merchantMCC.
     *
     * @return property value of merchantMCC
     */
    public String getMerchantMCC() {
        return merchantMCC;
    }

    /**
     * Setter method for property merchantMCC.
     *
     * @param merchantMCC value to be assigned to property merchantMCC
     */
    public void setMerchantMCC(String merchantMCC) {
        this.merchantMCC = merchantMCC;
    }

    /**
     * Getter method for property merchantName.
     *
     * @return property value of merchantName
     */
    public String getMerchantName() {
        return merchantName;
    }

    /**
     * Setter method for property merchantName.
     *
     * @param merchantName value to be assigned to property merchantName
     */
    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    /**
     * Getter method for property merchantAddress.
     *
     * @return property value of merchantAddress
     */
    public Address getMerchantAddress() {
        return merchantAddress;
    }

    /**
     * Setter method for property merchantAddress.
     *
     * @param merchantAddress value to be assigned to property merchantAddress
     */
    public void setMerchantAddress(Address merchantAddress) {
        this.merchantAddress = merchantAddress;
    }

    /**
     * Getter method for property merchantDisplayName.
     *
     * @return property value of merchantDisplayName
     */
    public String getMerchantDisplayName() {
        return merchantDisplayName;
    }

    /**
     * Setter method for property merchantDisplayName.
     *
     * @param merchantDisplayName value to be assigned to property merchantDisplayName
     */
    public void setMerchantDisplayName(String merchantDisplayName) {
        this.merchantDisplayName = merchantDisplayName;
    }

    /**
     * Getter method for property merchantRegisterDate.
     *
     * @return property value of merchantRegisterDate
     */
    public String getMerchantRegisterDate() {
        return merchantRegisterDate;
    }

    /**
     * Setter method for property merchantRegisterDate.
     *
     * @param merchantRegisterDate value to be assigned to property merchantRegisterDate
     */
    public void setMerchantRegisterDate(String merchantRegisterDate) {
        this.merchantRegisterDate = merchantRegisterDate;
    }

    /**
     * Getter method for property store.
     *
     * @return property value of store
     */
    public Store getStore() {
        return store;
    }

    /**
     * Setter method for property store.
     *
     * @param store value to be assigned to property store
     */
    public void setStore(Store store) {
        this.store = store;
    }

}
