/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import java.util.List;

/**
 * Order
 *
 * @author wangpeng
 * @version $Id: Order.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Order extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = 7273329480218318723L;
    /**
     * referenceOrderId
     */
    private String            referenceOrderId;
    /**
     * orderDescription
     */
    private String            orderDescription;
    /**
     * orderAmount
     */
    private Amount            orderAmount;
    /**
     * merchant
     */
    private Merchant          merchant;
    /**
     * goods
     */
    private List<Goods>       goods;
    /**
     * shipping
     */
    private Shipping          shipping;
    /**
     * buyer
     */
    private Buyer             buyer;
    /**
     * env
     */
    private Env               env;

    /**
     * Getter method for property referenceOrderId.
     *
     * @return property value of referenceOrderId
     */
    public String getReferenceOrderId() {
        return referenceOrderId;
    }

    /**
     * Setter method for property referenceOrderId.
     *
     * @param referenceOrderId value to be assigned to property referenceOrderId
     */
    public void setReferenceOrderId(String referenceOrderId) {
        this.referenceOrderId = referenceOrderId;
    }

    /**
     * Getter method for property orderDescription.
     *
     * @return property value of orderDescription
     */
    public String getOrderDescription() {
        return orderDescription;
    }

    /**
     * Setter method for property orderDescription.
     *
     * @param orderDescription value to be assigned to property orderDescription
     */
    public void setOrderDescription(String orderDescription) {
        this.orderDescription = orderDescription;
    }

    /**
     * Getter method for property orderAmount.
     *
     * @return property value of orderAmount
     */
    public Amount getOrderAmount() {
        return orderAmount;
    }

    /**
     * Setter method for property orderAmount.
     *
     * @param orderAmount value to be assigned to property orderAmount
     */
    public void setOrderAmount(Amount orderAmount) {
        this.orderAmount = orderAmount;
    }

    /**
     * Getter method for property merchant.
     *
     * @return property value of merchant
     */
    public Merchant getMerchant() {
        return merchant;
    }

    /**
     * Setter method for property merchant.
     *
     * @param merchant value to be assigned to property merchant
     */
    public void setMerchant(Merchant merchant) {
        this.merchant = merchant;
    }

    /**
     * Getter method for property goods.
     *
     * @return property value of goods
     */
    public List<Goods> getGoods() {
        return goods;
    }

    /**
     * Setter method for property goods.
     *
     * @param goods value to be assigned to property goods
     */
    public void setGoods(List<Goods> goods) {
        this.goods = goods;
    }

    /**
     * Getter method for property shipping.
     *
     * @return property value of shipping
     */
    public Shipping getShipping() {
        return shipping;
    }

    /**
     * Setter method for property shipping.
     *
     * @param shipping value to be assigned to property shipping
     */
    public void setShipping(Shipping shipping) {
        this.shipping = shipping;
    }

    /**
     * Getter method for property buyer.
     *
     * @return property value of buyer
     */
    public Buyer getBuyer() {
        return buyer;
    }

    /**
     * Setter method for property buyer.
     *
     * @param buyer value to be assigned to property buyer
     */
    public void setBuyer(Buyer buyer) {
        this.buyer = buyer;
    }

    /**
     * Getter method for property env.
     *
     * @return property value of env
     */
    public Env getEnv() {
        return env;
    }

    /**
     * Setter method for property env.
     *
     * @param env value to be assigned to property env
     */
    public void setEnv(Env env) {
        this.env = env;
    }

}
