/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.RegistrationStatus;

/**
 * RegistrationResult
 *
 * @author wangpeng
 * @version $Id: RegistrationResult.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class RegistrationResult extends ToString {
    /** serialVersionUID */
    private static final long               serialVersionUID = -5856761424797514949L;
    /**
     * registrationStatus
     */
    private              RegistrationStatus registrationStatus;

    /**
     * Getter method for property registrationStatus.
     *
     * @return property value of registrationStatus
     */
    public RegistrationStatus getRegistrationStatus() {
        return registrationStatus;
    }

    /**
     * Setter method for property registrationStatus.
     *
     * @param registrationStatus value to be assigned to property registrationStatus
     */
    public void setRegistrationStatus(RegistrationStatus registrationStatus) {
        this.registrationStatus = registrationStatus;
    }

}