/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * Shipping
 *
 * @author wangpeng
 * @version $Id: Shipping.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Shipping extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = 4615338078979087248L;
    /**
     * shippingName
     */
    private UserName          shippingName;
    /**
     * shippingAddress
     */
    private Address           shippingAddress;
    /**
     * shippingCarrier
     */
    private String            shippingCarrier;
    /**
     * shippingPhoneNo
     */
    private String            shippingPhoneNo;

    /**
     * Getter method for property shippingName.
     *
     * @return property value of shippingName
     */
    public UserName getShippingName() {
        return shippingName;
    }

    /**
     * Setter method for property shippingName.
     *
     * @param shippingName value to be assigned to property shippingName
     */
    public void setShippingName(UserName shippingName) {
        this.shippingName = shippingName;
    }

    /**
     * Getter method for property shippingAddress.
     *
     * @return property value of shippingAddress
     */
    public Address getShippingAddress() {
        return shippingAddress;
    }

    /**
     * Setter method for property shippingAddress.
     *
     * @param shippingAddress value to be assigned to property shippingAddress
     */
    public void setShippingAddress(Address shippingAddress) {
        this.shippingAddress = shippingAddress;
    }

    /**
     * Getter method for property shippingCarrier.
     *
     * @return property value of shippingCarrier
     */
    public String getShippingCarrier() {
        return shippingCarrier;
    }

    /**
     * Setter method for property shippingCarrier.
     *
     * @param shippingCarrier value to be assigned to property shippingCarrier
     */
    public void setShippingCarrier(String shippingCarrier) {
        this.shippingCarrier = shippingCarrier;
    }

    /**
     * Getter method for property shippingPhoneNo.
     *
     * @return property value of shippingPhoneNo
     */
    public String getShippingPhoneNo() {
        return shippingPhoneNo;
    }

    /**
     * Setter method for property shippingPhoneNo.
     *
     * @param shippingPhoneNo value to be assigned to property shippingPhoneNo
     */
    public void setShippingPhoneNo(String shippingPhoneNo) {
        this.shippingPhoneNo = shippingPhoneNo;
    }

}
