/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * Store
 *
 * @author wangpeng
 * @version $Id: Store.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Store extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = 546008676112182907L;
    /**
     * referenceStoreId
     */
    private String            referenceStoreId;
    /**
     * storeName
     */
    private String            storeName;
    /**
     * storeMCC
     */
    private String            storeMCC;
    /**
     * storeDisplayName
     */
    private String            storeDisplayName;
    /**
     * storeTerminalId
     */
    private String            storeTerminalId;
    /**
     * storeOperatorId
     */
    private String            storeOperatorId;
    /**
     * storePhoneNo
     */
    private String            storePhoneNo;
    /**
     * storeAddress
     */
    private Address           storeAddress;

    /**
     * Getter method for property referenceStoreId.
     *
     * @return property value of referenceStoreId
     */
    public String getReferenceStoreId() {
        return referenceStoreId;
    }

    /**
     * Setter method for property referenceStoreId.
     *
     * @param referenceStoreId value to be assigned to property referenceStoreId
     */
    public void setReferenceStoreId(String referenceStoreId) {
        this.referenceStoreId = referenceStoreId;
    }

    /**
     * Getter method for property storeName.
     *
     * @return property value of storeName
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * Setter method for property storeName.
     *
     * @param storeName value to be assigned to property storeName
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * Getter method for property storeMCC.
     *
     * @return property value of storeMCC
     */
    public String getStoreMCC() {
        return storeMCC;
    }

    /**
     * Setter method for property storeMCC.
     *
     * @param storeMCC value to be assigned to property storeMCC
     */
    public void setStoreMCC(String storeMCC) {
        this.storeMCC = storeMCC;
    }

    /**
     * Getter method for property storeDisplayName.
     *
     * @return property value of storeDisplayName
     */
    public String getStoreDisplayName() {
        return storeDisplayName;
    }

    /**
     * Setter method for property storeDisplayName.
     *
     * @param storeDisplayName value to be assigned to property storeDisplayName
     */
    public void setStoreDisplayName(String storeDisplayName) {
        this.storeDisplayName = storeDisplayName;
    }

    /**
     * Getter method for property storeTerminalId.
     *
     * @return property value of storeTerminalId
     */
    public String getStoreTerminalId() {
        return storeTerminalId;
    }

    /**
     * Setter method for property storeTerminalId.
     *
     * @param storeTerminalId value to be assigned to property storeTerminalId
     */
    public void setStoreTerminalId(String storeTerminalId) {
        this.storeTerminalId = storeTerminalId;
    }

    /**
     * Getter method for property storeOperatorId.
     *
     * @return property value of storeOperatorId
     */
    public String getStoreOperatorId() {
        return storeOperatorId;
    }

    /**
     * Setter method for property storeOperatorId.
     *
     * @param storeOperatorId value to be assigned to property storeOperatorId
     */
    public void setStoreOperatorId(String storeOperatorId) {
        this.storeOperatorId = storeOperatorId;
    }

    /**
     * Getter method for property storePhoneNo.
     *
     * @return property value of storePhoneNo
     */
    public String getStorePhoneNo() {
        return storePhoneNo;
    }

    /**
     * Setter method for property storePhoneNo.
     *
     * @param storePhoneNo value to be assigned to property storePhoneNo
     */
    public void setStorePhoneNo(String storePhoneNo) {
        this.storePhoneNo = storePhoneNo;
    }

    /**
     * Getter method for property storeAddress.
     *
     * @return property value of storeAddress
     */
    public Address getStoreAddress() {
        return storeAddress;
    }

    /**
     * Setter method for property storeAddress.
     *
     * @param storeAddress value to be assigned to property storeAddress
     */
    public void setStoreAddress(Address storeAddress) {
        this.storeAddress = storeAddress;
    }

}
