/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * UserName
 *
 * @author wangpeng
 * @version $Id: UserName.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class UserName extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = 2659699643086826923L;
    /**
     * firstName
     */
    private String            firstName;
    /**
     * middleName
     */
    private String            middleName;
    /**
     * lastName
     */
    private String            lastName;
    /**
     * fullName
     */
    private String            fullName;

    /**
     * Getter method for property firstName.
     *
     * @return property value of firstName
     */
    public String getFirstName() {
        return firstName;
    }

    /**
     * Setter method for property firstName.
     *
     * @param firstName value to be assigned to property firstName
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     * Getter method for property middleName.
     *
     * @return property value of middleName
     */
    public String getMiddleName() {
        return middleName;
    }

    /**
     * Setter method for property middleName.
     *
     * @param middleName value to be assigned to property middleName
     */
    public void setMiddleName(String middleName) {
        this.middleName = middleName;
    }

    /**
     * Getter method for property lastName.
     *
     * @return property value of lastName
     */
    public String getLastName() {
        return lastName;
    }

    /**
     * Setter method for property lastName.
     *
     * @param lastName value to be assigned to property lastName
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    /**
     * Getter method for property fullName.
     *
     * @return property value of fullName
     */
    public String getFullName() {
        return fullName;
    }

    /**
     * Setter method for property fullName.
     *
     * @param fullName value to be assigned to property fullName
     */
    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

}
