/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.WalletName;

/**
 * Wallet
 *
 * @author wqy01239909
 * @version $Id: Wallet.java, v 0.1 2022‐08‐18 16:51 wqy01239909 Exp $$
 */
public class Wallet extends ToString {
    /** serialVersionUID */
    private static final long          serialVersionUID = -7562663074742002463L;
    /**
     * walletName
     */
    private              WalletName    walletName;
    /**
     * walletBrandName
     */
    private              String        walletBrandName;
    /**
     * walletLogo
     */
    private              Logo          walletLogo;
    /**
     * walletRegion
     */
    private              String        walletRegion;
    /**
     * walletFeature
     */
    private              WalletFeature walletFeature;

    /**
     * Getter method for property walletName.
     *
     * @return property value of walletName
     */
    public WalletName getWalletName() {
        return walletName;
    }

    /**
     * Setter method for property walletName.
     *
     * @param walletName value to be assigned to property walletName
     */
    public void setWalletName(WalletName walletName) {
        this.walletName = walletName;
    }

    /**
     * Getter method for property walletBrandName.
     *
     * @return property value of walletBrandName
     */
    public String getWalletBrandName() {
        return walletBrandName;
    }

    /**
     * Setter method for property walletBrandName.
     *
     * @param walletBrandName value to be assigned to property walletBrandName
     */
    public void setWalletBrandName(String walletBrandName) {
        this.walletBrandName = walletBrandName;
    }

    /**
     * Getter method for property walletLogo.
     *
     * @return property value of walletLogo
     */
    public Logo getWalletLogo() {
        return walletLogo;
    }

    /**
     * Setter method for property walletLogo.
     *
     * @param walletLogo value to be assigned to property walletLogo
     */
    public void setWalletLogo(Logo walletLogo) {
        this.walletLogo = walletLogo;
    }

    /**
     * Getter method for property walletRegion.
     *
     * @return property value of walletRegion
     */
    public String getWalletRegion() {
        return walletRegion;
    }

    /**
     * Setter method for property walletRegion.
     *
     * @param walletRegion value to be assigned to property walletRegion
     */
    public void setWalletRegion(String walletRegion) {
        this.walletRegion = walletRegion;
    }

    /**
     * Getter method for property walletFeature.
     *
     * @return property value of walletFeature
     */
    public WalletFeature getWalletFeature() {
        return walletFeature;
    }

    /**
     * Setter method for property walletFeature.
     *
     * @param walletFeature value to be assigned to property walletFeature
     */
    public void setWalletFeature(WalletFeature walletFeature) {
        this.walletFeature = walletFeature;
    }

}