/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * WalletFeature
 *
 * @author wqy01239909
 * @version $Id: WalletFeature.java, v 0.1 2022‐08‐18 17:01 wqy01239909 Exp $$
 */
public class WalletFeature extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = -8834869978217849139L;
    /**
     * supportCodeScan
     */
    private Boolean           supportCodeScan;
    /**
     * supportCashierRedirection
     */
    private Boolean           supportCashierRedirection;

    /**
     * Getter method for property supportCodeScan.
     *
     * @return property value of supportCodeScan
     */
    public Boolean isSupportCodeScan() {
        return supportCodeScan;
    }

    /**
     * Setter method for property supportCodeScan.
     *
     * @param supportCodeScan value to be assigned to property supportCodeScan
     */
    public void setSupportCodeScan(Boolean supportCodeScan) {
        this.supportCodeScan = supportCodeScan;
    }

    /**
     * Getter method for property supportCashierRedirection.
     *
     * @return property value of supportCashierRedirection
     */
    public Boolean isSupportCashierRedirection() {
        return supportCashierRedirection;
    }

    /**
     * Setter method for property supportCashierRedirection.
     *
     * @param supportCashierRedirection value to be assigned to property supportCashierRedirection
     */
    public void setSupportCashierRedirection(Boolean supportCashierRedirection) {
        this.supportCashierRedirection = supportCashierRedirection;
    }

}