/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.WebsiteType;

/**
 * WebSite
 *
 * @author wangpeng
 * @version $Id: WebSite.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class WebSite extends ToString {
    /** serialVersionUID */
    private static final long        serialVersionUID = -691572334750568479L;
    /**
     * name
     */
    private              String      name;
    /**
     * url
     */
    private              String      url;
    /**
     * desc
     */
    private              String      desc;
    /**
     * websiteType
     */
    private              WebsiteType websiteType;

    /**
     * Getter method for property name.
     *
     * @return property value of name
     */
    public String getName() {
        return name;
    }

    /**
     * Setter method for property name.
     *
     * @param name value to be assigned to property name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Getter method for property url.
     *
     * @return property value of url
     */
    public String getUrl() {
        return url;
    }

    /**
     * Setter method for property url.
     *
     * @param url value to be assigned to property url
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * Getter method for property desc.
     *
     * @return property value of desc
     */
    public String getDesc() {
        return desc;
    }

    /**
     * Setter method for property desc.
     *
     * @param desc value to be assigned to property desc
     */
    public void setDesc(String desc) {
        this.desc = desc;
    }

    /**
     * Getter method for property websiteType.
     *
     * @return property value of websiteType
     */
    public WebsiteType getWebsiteType() {
        return websiteType;
    }

    /**
     * Setter method for property websiteType.
     *
     * @param websiteType value to be assigned to property websiteType
     */
    public void setWebsiteType(WebsiteType websiteType) {
        this.websiteType = websiteType;
    }

}
