//
//  NSString+IAPUtils.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/16.
//

#import "NSString+IAPUtils.h"

@implementation NSString (IAPUtils)

- (NSString *)iapu_SHA256 {
   const char* str = [self UTF8String];
   unsigned char result[CC_SHA256_DIGEST_LENGTH];
   CC_SHA256(str, (CC_LONG)strlen(str), result);
   
   NSMutableString *ret = [NSMutableString stringWithCapacity:CC_SHA256_DIGEST_LENGTH*2];
   for(int i = 0; i<CC_SHA256_DIGEST_LENGTH; i++) {
       [ret appendFormat:@"%02x",result[i]];
   }
   ret = (NSMutableString *)[ret lowercaseString];
   return ret;
}

@end
