//
//  IAPMultiLanguageUtils.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/11.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface IAPMultiLanguageUtils : NSObject
+ (NSString *)defaultCurrentLanguage;
+ (NSString *)formatedCurrentLauguage;
+ (nullable NSString *)formatedLanguageCode:(NSString *)originalLauguageCode;
+ (nullable NSArray<NSString *> *)formatedLanguageCodes:(NSArray<NSString *> *)originalLauguageCodes;
+ (nullable NSString *)matchedLanguageWithLanguageCodes:(NSArray<NSString *> *)originalLauguageCodes;
+ (NSArray<NSString *> *)presetLanguageCodes;


//"{\"en_US\":\"30% off\",\"th_TH\":\"คูปองส่วนลด 30 บาท\"}"
//=>
// "30% off"
+ (nullable NSString *)matchedLanguageTextWithJSONString:(NSString *)JSONString;
// [
//"{\"en_US\":\"30% off\",\"th_TH\":\"คูปองส่วนลด 30 บาท\"}"
//]
//=>
// ["30% off"]
+ (nullable NSArray<NSString *> *)matchedLanguageTextsWithJSONStringArray:(NSArray<NSString *> *)JSONStringArray;
@end





NS_ASSUME_NONNULL_END
