//
//  IAPRequestUtils.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/16.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface IAPRequestUtils : NSObject
+ (instancetype)shared;

// callback in main thread
- (void)asyncDownloadCDNFileWithURLString:(NSString *)urlString
                          timeoutInterval:(NSTimeInterval)timeoutInterval
                        completionHandler:(void (^)(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error))completionHandler;

- (void)asyncSendRequest:(NSURLRequest *)request
         timeoutInterval:(NSTimeInterval)timeoutInterval
       completionHandler:(void (^)(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error))completionHandler;
@end

NS_ASSUME_NONNULL_END
