//
//  IAPMultiLanguageUtils+PaymentSheet.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/14.
//

#import "IAPMultiLanguageUtils.h"

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSInteger, IAPPaymentSheetPresetText) {
    IAPPaymentSheetPresetText_Select_your_payment_method = 1,
    IAPPaymentSheetPresetText_More_payment_methods,
    IAPPaymentSheetPresetText_Total_to_pay,
    IAPPaymentSheetPresetText_Go_to_Pay,
    IAPPaymentSheetPresetText_Toast_Please_select_payment_method,
    IAPPaymentSheetPresetText_Search_payment_method,
    IAPPaymentSheetPresetText_No_payment_methods_available,
    IAPPaymentSheetPresetText_Return_to_merchant,
};

@interface IAPMultiLanguageUtils (PaymentSheet)
+ (NSString *)presetPaymentSheetText:(IAPPaymentSheetPresetText)textPosition;
@end

NS_ASSUME_NONNULL_END
