//
//  IAPPaymentWalletTableView.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/20.
//

#import <UIKit/UIKit.h>
#import "IAPPaymentData.h"

NS_ASSUME_NONNULL_BEGIN

@interface IAPPaymentWalletTableView : UITableView
@property (nonatomic, strong, readonly) IAPPaymentWalletData *selectedWallet;
@property (nonatomic, strong, readonly) NSString *selectedWalletName;
@property (nonatomic, strong, readonly) NSArray<IAPPaymentWalletData *> *dataSourceWallets;

- (instancetype)initWithFrame:(CGRect)frame style:(UITableViewStyle)style oringinalWallets:(NSArray<IAPPaymentWalletData *> *)originalWallets interfaceOrientation:(UIInterfaceOrientation)interfaceOrientation;
- (void)showMore;
- (void)updateWhenSearchTextChanged:(NSString *)text;
@end

NS_ASSUME_NONNULL_END
