//
//  IAPConstant.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/11.
//

#import "IAPConstant.h"

#pragma mark - env
IAPEnv const kIAPEnvPROD = @"PROD";
IAPEnv const kIAPEnvSANDBOX = @"SANDBOX";


#pragma mark - error
NSString * const IAPErrorDomain = @"IAPErrorDomain";
NSInteger const IAPErrorParamIllegal = 1001;
NSInteger const IAPErrorInvalidNetwork = 1002;
NSInteger const IAPErrorSystemError = 1003;


#pragma mark - SheetEvent
IAPPaymentSheetEventName const IAPPaymentSheetEventDidSelectWalletAndPay = @"IAPPaymentSheetEventDidSelectWalletAndPay";
IAPPaymentSheetEventName const IAPPaymentSheetEventThrowException = @"IAPPaymentSheetEventThrowException";
IAPPaymentSheetEventName const IAPPaymentSheetEventUserDidCancel = @"IAPPaymentSheetEventUserDidCancel";
IAPPaymentSheetEventName const IAPPaymentSheetEventDidShow = @"IAPPaymentSheetEventDidShow";

IAPPaymentSheetEventName const IAPPaymentSheetEventPaymentSuccess = @"IAPPaymentSheetEventPaymentSuccess";
IAPPaymentSheetEventName const IAPPaymentSheetEventPaymentFailed = @"IAPPaymentSheetEventPaymentFailed";
IAPPaymentSheetEventName const IAPPaymentSheetEventPaymentCanceled = @"IAPPaymentSheetEventPaymentCanceled";
IAPPaymentSheetEventName const IAPPaymentSheetEventPaymentException = @"IAPPaymentSheetEventPaymentException";
IAPPaymentSheetEventName const IAPPaymentSheetEventPaymentProcessing = @"IAPPaymentSheetEventPaymentProcessing";

NSString * const IAPPosterDidCloseSheetViewNotification = @"IAPPosterDidCloseSheetViewNotification";
