//
//  IAPLogo.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/20.
//

#import "IAPLogo.h"
#import "IAPInnerDefines.h"
#import "IAPJSONUtils.h"
#import "NSDictionary+IAPUtils.h"

@interface IAPLogo()
@end

@implementation IAPLogo

#pragma mark - private

IAP_ENCODE_Selector
IAP_DECODE_Selector

- (nullable instancetype)initWithJSONDictionary:(NSDictionary *)json {
    if (![json isKindOfClass:NSDictionary.class]) {
        return nil;
    }
    
    if (self = [super init]) {
        _logoName = [json iapu_stringForKey:@"logoName"];
        _logoUrl = [json iapu_stringForKey:@"logoUrl"];
        _logoPattern = [json iapu_stringForKey:@"logoPattern"];
        _logoWidth = [json iapu_stringForKey:@"logoWidth"];
        _logoHeight = [json iapu_stringForKey:@"logoHeight"];
    }
    return self;
}

@end
