//
//  ViewController.m
//  Example
//
//  Created by assuner on 2022/3/20.
//

#import "ViewController.h"
#import <AlipayPlusClient/AlipayPlusClient.h>
#import "IAPAlipayCNWalletAction.h"
#import "AlipayPlusClient/AlipayPlusClientAPI.h"
#import "IAPPaymentData.h"
#import "IAPJSONUtils.h"


@interface ViewController ()
- (IBAction)showPayment:(id)sender;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    NSLog(@"");
    
//    [AlipayPlusClient shared].configuration.acquirerId = @"5Y5X2236A9RR09759";
//    [AlipayPlusClient shared].configuration.merchantId = @"M00000000001";
    [AlipayPlusClient shared].configuration.envType = kIAPEnvSANDBOX;
    
    [AlipayPlusClient shared].configuration.acquirerId = @"A071231400000002";
    [AlipayPlusClient shared].configuration.merchantId = @"UNIFIED_dev_90001";
    [AlipayPlusClient shared].configuration.fromScheme = @"example";
}

- (void)extracted:(NSString *)jsonString {
    [[AlipayPlusClient shared] showPaymentSheet:jsonString callback:^(IAPPaymentSheetEvent * _Nonnull sheetEvent) {
        NSLog(@"sheetEvent: %@",sheetEvent.name);
    }];
}

- (IBAction)showPayment:(id)sender {
    NSString *jsonString = @"{\"codeValue\":\"28166604009zSfId32RqB2t23U7O9Qb1jizY\",\"displayPaymentAmount\":\"2.00\",\"displayPaymentCurrency\":\"USD\",\"wallets\":[{\"enabled\":true,\"redirectionInfo\":{\"normalUrl\":\"https://oss-local.marmot-cloud.com/page/simulation-wallet/cn/index.html?url=alipayconnect%3A%2F%2Fplatformapi%2Falipayconnectcode%3Fcode%3D${codeValue}%26pspName%3DALIPAY_CN&webUrl=https%3A%2F%2Fpsp.ac.alipay.com%2Fpage%2Fsimulation-wallet%2Facwallet%2Falipayconnectcode.html%3Fcode%3D${codeValue}%26pspName%3DALIPAY_CN&pspName=ALIPAY_CN&loadMode=2\",\"schemeUrl\":\"alipayconnect://platformapi/alipayconnectcode.html?code=${codeValue}&pspName=ALIPAY_CN&loadMode=2\"},\"walletBrandName\":\"Alipay\",\"walletLogo\":{\"logoName\":\"ALIPAY_CN\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/ALIPAY_CN.png\"},\"walletName\":\"ALIPAY_CN\"}]}";
    
    [self extracted:jsonString];
    NSLog(@"fromScheme: %@", [AlipayPlusClient shared].configuration.fromScheme);
}

- (IBAction)inquirePaymentOption:(id)sender {
//    [[NSUserDefaults standardUserDefaults] setObject:@"SANDBOX_DEV" forKey:@"AlipayPlusClient_sandbox_inner_env"];
    IAPInquirePaymentOptionParams *params = [IAPInquirePaymentOptionParams new];
    params.paymentCurrency = @"USD";
    params.logoPattern = @"P1-APP-01";
    [[AlipayPlusClient shared] inquirePaymentOptionWithParams:params completionHandler:^(IAPPaymentOption * _Nullable paymentOption, NSError * _Nullable error) {
        NSLog(@"");
    }];
}

@end
