# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#---------------------------------Basic--------------------------------------
-keepattributes InnerClasses
-keepattributes Exceptions
-keepattributes *Annotation*
-keepattributes Signature
-keepattributes SourceFile,LineNumberTable

-keepclassmembers class * implements java.io.Serializable {*;}
-keepclassmembers enum * {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

#保留参数的名称和方法
-keepparameternames

# alipay connect
-keep class com.iap.alipayplusclient.AlipayPlusClient {*;}
-keep class com.iap.basic.alipay.config.IAPConfiguration {*;}
-keep class com.iap.basic.alipay.config.ConfigurationManager {*;}
-keep class com.iap.cashier.data.model.IAPInquirePaymentOptionParams {*;}
-keep class com.iap.cashier.data.model.IAPPaymentOption {*;}
-keep class com.iap.cashier.data.model.IAPPaymentSheetEvent {*;}
-keep class com.iap.cashier.callback.IAPInquirePaymentCallback {*;}
-keep class com.iap.cashier.callback.IAPPaymentSheetEventCallback {*;}
-keep class com.iap.cashier.core.AlipayCashierClient {*;}
-keep class com.iap.basic.alipay.LogService {*;}
-keep class com.iap.alipayplusclient.Constants {*;}
