package com.iap.alipayplustclient;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

import com.iap.alipayplusclient.AlipayPlusClient;
import com.iap.basic.alipay.config.ConfigurationManager;
import com.iap.basic.alipay.config.IAPConfiguration;
//import com.iap.basic.alipay.utils.Util;
import com.iap.cashier.callback.IAPPaymentSheetEventCallback;
import com.iap.cashier.data.model.IAPInquirePaymentOptionParams;
import com.iap.cashier.data.model.IAPPaymentSheetEvent;


public class ProcessTestActivity extends AppCompatActivity {

    private static final String TAG = "ProcessTestActivity";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_process_test);
        IAPConfiguration configuration = new IAPConfiguration();
        configuration.acquirerId = "305Y342CSG5MHJ06966";
        configuration.merchantId = "A071231400000000";
        AlipayPlusClient.setConfiguration(configuration);
        TextView textView = findViewById(R.id.tv_content);
        String process = "";//Util.getCurrentProcessName(getApplicationContext());
        textView.setText("当前进程名称:" + process);
        IAPInquirePaymentOptionParams params = new IAPInquirePaymentOptionParams();
        params.paymentCurrency = "USD";
        findViewById(R.id.tv_open1).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                AlipayPlusClient.showPaymentSheet(ProcessTestActivity.this, "", new IAPPaymentSheetEventCallback<IAPPaymentSheetEvent>() {
                    @Override
                    public void onSheetEvent(IAPPaymentSheetEvent event) {
                        //Util.toast(ProcessTestActivity.this, event.name);
                    }
                });
            }
        });
        findViewById(R.id.tv_open2).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                new Thread(new Runnable() {
                    @Override
                    public void run() {
                        AlipayPlusClient.showPaymentSheet(ProcessTestActivity.this, "", new IAPPaymentSheetEventCallback<IAPPaymentSheetEvent>() {
                            @Override
                            public void onSheetEvent(IAPPaymentSheetEvent event) {
                                //Util.toast(ProcessTestActivity.this, event.name);
                            }
                        });
                    }
                }).start();
            }
        });
    }
}