package com.iap.basic.alipay.http.model;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

public enum HttpMethod {
    GET("GET"),
    POST("POST"),
    PUT("PUT"),
    HEAD("HEAD"),
    TRACE("TRACE"),
    PATCH("PATCH"),
    DELETE("DELETE"),
    CONNECT("CONNECT"),
    OPTIONS("OPTIONS");

    public String method;

    HttpMethod(@NonNull String method) {
        this.method = method;
    }

    @Nullable
    public static HttpMethod fromString(@NonNull String type) {
        if (POST.method.equalsIgnoreCase(type)) {
            return POST;
        } else if (GET.method.equalsIgnoreCase(type)) {
            return GET;
        } else if (PUT.method.equalsIgnoreCase(type)) {
            return PUT;
        } else if (HEAD.method.equalsIgnoreCase(type)) {
            return HEAD;
        } else if (TRACE.method.equalsIgnoreCase(type)) {
            return TRACE;
        } else if (PATCH.method.equalsIgnoreCase(type)) {
            return PATCH;
        } else if (DELETE.method.equalsIgnoreCase(type)) {
            return DELETE;
        } else if (CONNECT.method.equalsIgnoreCase(type)) {
            return CONNECT;
        } else {
            return OPTIONS.method.equalsIgnoreCase(type) ? OPTIONS : null;
        }
    }
}
