package com.iap.cashier.data.model;

import java.io.Serializable;

/**
 * Author kanguihu
 * Data   2022/3/7
 * Desc
 */
public class IAPInquirePaymentOptionParams implements Serializable {

    /**
     * The payment currency that is supported by the merchant.
     * The value of this parameter must be an alphabetic code that follows the ISO 4217 standard, for example, "EUR" for Euros.
     */
    public String paymentCurrency;

    //new field for url, optional
    public String userRegion;

    //new field for url, optional
    public String logoPattern;


}
