/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * Address
 *
 * @author wangpeng
 * @version $Id: Address.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Address extends ToString {

    /** serialVersionUID */
    private static final long serialVersionUID = -8918445304911516788L;
    /**
     * region
     */
    private String region;
    /**
     * state
     */
    private String state;
    /**
     * city
     */
    private String city;
    /**
     * address1
     */
    private String address1;
    /**
     * address2
     */
    private String address2;
    /**
     * zipCode
     */
    private String zipCode;

    /**
     * Getter method for property region.
     *
     * @return property value of region
     */
    public String getRegion() {
        return region;
    }

    /**
     * Setter method for property region.
     *
     * @param region value to be assigned to property region
     */
    public void setRegion(String region) {
        this.region = region;
    }

    /**
     * Getter method for property state.
     *
     * @return property value of state
     */
    public String getState() {
        return state;
    }

    /**
     * Setter method for property state.
     *
     * @param state value to be assigned to property state
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     * Getter method for property city.
     *
     * @return property value of city
     */
    public String getCity() {
        return city;
    }

    /**
     * Setter method for property city.
     *
     * @param city value to be assigned to property city
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * Getter method for property address1.
     *
     * @return property value of address1
     */
    public String getAddress1() {
        return address1;
    }

    /**
     * Setter method for property address1.
     *
     * @param address1 value to be assigned to property address1
     */
    public void setAddress1(String address1) {
        this.address1 = address1;
    }

    /**
     * Getter method for property address2.
     *
     * @return property value of address2
     */
    public String getAddress2() {
        return address2;
    }

    /**
     * Setter method for property address2.
     *
     * @param address2 value to be assigned to property address2
     */
    public void setAddress2(String address2) {
        this.address2 = address2;
    }

    /**
     * Getter method for property zipCode.
     *
     * @return property value of zipCode
     */
    public String getZipCode() {
        return zipCode;
    }

    /**
     * Setter method for property zipCode.
     *
     * @param zipCode value to be assigned to property zipCode
     */
    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }
}
