/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * Buyer
 *
 * @author wangpeng
 * @version $Id: Buyer.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Buyer extends ToString {

    /** serialVersionUID */
    private static final long serialVersionUID = 1186315161548142935L;
    /**
     * referenceBuyerId
     */
    private String   referenceBuyerId;
    /**
     * buyerName
     */
    private UserName buyerName;
    /**
     * buyerPhoneNo
     */
    private String   buyerPhoneNo;
    /**
     * buyerEmail
     */
    private String   buyerEmail;

    /**
     * Getter method for property referenceBuyerId.
     *
     * @return property value of referenceBuyerId
     */
    public String getReferenceBuyerId() {
        return referenceBuyerId;
    }

    /**
     * Setter method for property referenceBuyerId.
     *
     * @param referenceBuyerId value to be assigned to property referenceBuyerId
     */
    public void setReferenceBuyerId(String referenceBuyerId) {
        this.referenceBuyerId = referenceBuyerId;
    }

    /**
     * Getter method for property buyerName.
     *
     * @return property value of buyerName
     */
    public UserName getBuyerName() {
        return buyerName;
    }

    /**
     * Setter method for property buyerName.
     *
     * @param buyerName value to be assigned to property buyerName
     */
    public void setBuyerName(UserName buyerName) {
        this.buyerName = buyerName;
    }

    /**
     * Getter method for property buyerPhoneNo.
     *
     * @return property value of buyerPhoneNo
     */
    public String getBuyerPhoneNo() {
        return buyerPhoneNo;
    }

    /**
     * Setter method for property buyerPhoneNo.
     *
     * @param buyerPhoneNo value to be assigned to property buyerPhoneNo
     */
    public void setBuyerPhoneNo(String buyerPhoneNo) {
        this.buyerPhoneNo = buyerPhoneNo;
    }

    /**
     * Getter method for property buyerEmail.
     *
     * @return property value of buyerEmail
     */
    public String getBuyerEmail() {
        return buyerEmail;
    }

    /**
     * Setter method for property buyerEmail.
     *
     * @param buyerEmail value to be assigned to property buyerEmail
     */
    public void setBuyerEmail(String buyerEmail) {
        this.buyerEmail = buyerEmail;
    }

}
