/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.OsType;
import com.alipay.ap.enums.TerminalType;

/**
 * Env
 *
 * @author wangpeng
 * @version $Id: Env.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Env extends ToString {

    /** serialVersionUID */
    private static final long         serialVersionUID = 3837341151108118752L;
    /**
     * terminalType
     */
    private              TerminalType terminalType;
    /**
     * osType
     */
    private              OsType       osType;
    /**
     * deviceTokenId
     */
    private              String       deviceTokenId;
    /**
     * clientIp
     */
    private              String       clientIp;
    /**
     * cookieId
     */
    private              String       cookieId;
    /**
     * userAgent
     */
    private              String       userAgent;
    /**
     * storeTerminalId
     */
    private              String       storeTerminalId;
    /**
     * storeTerminalRequestTime
     */
    private              String       storeTerminalRequestTime;

    /**
     * Getter method for property terminalType.
     *
     * @return property value of terminalType
     */
    public TerminalType getTerminalType() {
        return terminalType;
    }

    /**
     * Setter method for property terminalType.
     *
     * @param terminalType value to be assigned to property terminalType
     */
    public void setTerminalType(TerminalType terminalType) {
        this.terminalType = terminalType;
    }

    /**
     * Getter method for property osType.
     *
     * @return property value of osType
     */
    public OsType getOsType() {
        return osType;
    }

    /**
     * Setter method for property osType.
     *
     * @param osType value to be assigned to property osType
     */
    public void setOsType(OsType osType) {
        this.osType = osType;
    }

    /**
     * Getter method for property deviceTokenId.
     *
     * @return property value of deviceTokenId
     */
    public String getDeviceTokenId() {
        return deviceTokenId;
    }

    /**
     * Setter method for property deviceTokenId.
     *
     * @param deviceTokenId value to be assigned to property deviceTokenId
     */
    public void setDeviceTokenId(String deviceTokenId) {
        this.deviceTokenId = deviceTokenId;
    }

    /**
     * Getter method for property clientIp.
     *
     * @return property value of clientIp
     */
    public String getClientIp() {
        return clientIp;
    }

    /**
     * Setter method for property clientIp.
     *
     * @param clientIp value to be assigned to property clientIp
     */
    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    /**
     * Getter method for property cookieId.
     *
     * @return property value of cookieId
     */
    public String getCookieId() {
        return cookieId;
    }

    /**
     * Setter method for property cookieId.
     *
     * @param cookieId value to be assigned to property cookieId
     */
    public void setCookieId(String cookieId) {
        this.cookieId = cookieId;
    }

    /**
     * Getter method for property userAgent.
     *
     * @return property value of userAgent
     */
    public String getUserAgent() {
        return userAgent;
    }

    /**
     * Setter method for property userAgent.
     *
     * @param userAgent value to be assigned to property userAgent
     */
    public void setUserAgent(String userAgent) {
        this.userAgent = userAgent;
    }

    /**
     * Getter method for property storeTerminalId.
     *
     * @return property value of storeTerminalId
     */
    public String getStoreTerminalId() {
        return storeTerminalId;
    }

    /**
     * Setter method for property storeTerminalId.
     *
     * @param storeTerminalId value to be assigned to property storeTerminalId
     */
    public void setStoreTerminalId(String storeTerminalId) {
        this.storeTerminalId = storeTerminalId;
    }

    /**
     * Getter method for property storeTerminalRequestTime.
     *
     * @return property value of storeTerminalRequestTime
     */
    public String getStoreTerminalRequestTime() {
        return storeTerminalRequestTime;
    }

    /**
     * Setter method for property storeTerminalRequestTime.
     *
     * @param storeTerminalRequestTime value to be assigned to property storeTerminalRequestTime
     */
    public void setStoreTerminalRequestTime(String storeTerminalRequestTime) {
        this.storeTerminalRequestTime = storeTerminalRequestTime;
    }

}
