/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * Logo
 *
 * @author wangpeng
 * @version $Id: Logo.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Logo extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = 5008474674156810719L;
    /**
     * logoName
     */
    private String            logoName;
    /**
     * logoUrl
     */
    private String            logoUrl;

    /**
     * Getter method for property logoName.
     *
     * @return property value of logoName
     */
    public String getLogoName() {
        return logoName;
    }

    /**
     * Setter method for property logoName.
     *
     * @param logoName value to be assigned to property logoName
     */
    public void setLogoName(String logoName) {
        this.logoName = logoName;
    }

    /**
     * Getter method for property logoUrl.
     *
     * @return property value of logoUrl
     */
    public String getLogoUrl() {
        return logoUrl;
    }

    /**
     * Setter method for property logoUrl.
     *
     * @param logoUrl value to be assigned to property logoUrl
     */
    public void setLogoUrl(String logoUrl) {
        this.logoUrl = logoUrl;
    }
}
