/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import java.util.List;

/**
 * PSPRegistrationResult
 *
 * @author wangpeng
 * @version $Id: PSPRegistrationResult.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class PSPRegistrationResult extends ToString {
    /** serialVersionUID */
    private static final long  serialVersionUID = 6991703242182755631L;
    /**
     * pspName
     */
    private String             pspName;
    /**
     * The registration result from a certain MPP.
     */
    private RegistrationResult registrationResult;
    /**
     * productCodes
     */
    private List<String>       productCodes;

    /**
     * Getter method for property pspName.
     *
     * @return property value of pspName
     */
    public String getPspName() {
        return pspName;
    }

    /**
     * Setter method for property pspName.
     *
     * @param pspName value to be assigned to property pspName
     */
    public void setPspName(String pspName) {
        this.pspName = pspName;
    }

    /**
     * Getter method for property registrationResult.
     *
     * @return property value of registrationResult
     */
    public RegistrationResult getRegistrationResult() {
        return registrationResult;
    }

    /**
     * Setter method for property registrationResult.
     *
     * @param registrationResult value to be assigned to property registrationResult
     */
    public void setRegistrationResult(RegistrationResult registrationResult) {
        this.registrationResult = registrationResult;
    }

    /**
     * Getter method for property productCodes.
     *
     * @return property value of productCodes
     */
    public List<String> getProductCodes() {
        return productCodes;
    }

    /**
     * Setter method for property productCodes.
     *
     * @param productCodes value to be assigned to property productCodes
     */
    public void setProductCodes(List<String> productCodes) {
        this.productCodes = productCodes;
    }

}