/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.PaymentMethodType;

/**
 * PaymentMethod
 *
 * @author wangpeng
 * @version $Id: PaymentMethod.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class PaymentMethod extends ToString {
    /** serialVersionUID */
    private static final long                  serialVersionUID = 8561340157102616765L;
    /**
     * paymentMethodType
     */
    private              PaymentMethodType     paymentMethodType;
    /**
     * paymentMethodId
     */
    private              String                paymentMethodId;
    /**
     * customerId
     */
    private              String                customerId;
    /**
     * paymentMethodMetaData
     */
    private              PaymentMethodMetaData paymentMethodMetaData;

    /**
     * Getter method for property paymentMethodType.
     *
     * @return property value of paymentMethodType
     */
    public PaymentMethodType getPaymentMethodType() {
        return paymentMethodType;
    }

    /**
     * Setter method for property paymentMethodType.
     *
     * @param paymentMethodType value to be assigned to property paymentMethodType
     */
    public void setPaymentMethodType(PaymentMethodType paymentMethodType) {
        this.paymentMethodType = paymentMethodType;
    }

    /**
     * Getter method for property paymentMethodId.
     *
     * @return property value of paymentMethodId
     */
    public String getPaymentMethodId() {
        return paymentMethodId;
    }

    /**
     * Setter method for property paymentMethodId.
     *
     * @param paymentMethodId value to be assigned to property paymentMethodId
     */
    public void setPaymentMethodId(String paymentMethodId) {
        this.paymentMethodId = paymentMethodId;
    }

    /**
     * Getter method for property customerId.
     *
     * @return property value of customerId
     */
    public String getCustomerId() {
        return customerId;
    }

    /**
     * Setter method for property customerId.
     *
     * @param customerId value to be assigned to property customerId
     */
    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    /**
     * Getter method for property paymentMethodMetaData.
     *
     * @return property value of paymentMethodMetaData
     */
    public PaymentMethodMetaData getPaymentMethodMetaData() {
        return paymentMethodMetaData;
    }

    /**
     * Setter method for property paymentMethodMetaData.
     *
     * @param paymentMethodMetaData value to be assigned to property paymentMethodMetaData
     */
    public void setPaymentMethodMetaData(PaymentMethodMetaData paymentMethodMetaData) {
        this.paymentMethodMetaData = paymentMethodMetaData;
    }

}
