/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.RegistrationType;

/**
 * RegistrationDetail
 *
 * @author wangpeng
 * @version $Id: RegistrationDetail.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class RegistrationDetail extends ToString {
    /** serialVersionUID */
    private static final long             serialVersionUID = 4462612179466581485L;
    /**
     * legalName
     */
    private              String           legalName;
    /**
     * registrationType
     */
    private              RegistrationType registrationType;
    /**
     * registrationNo
     */
    private              String           registrationNo;
    /**
     * registrationAddress
     */
    private              Address          registrationAddress;
    /**
     * businessType
     */
    private              String           businessType;

    /**
     * Getter method for property legalName.
     *
     * @return property value of legalName
     */
    public String getLegalName() {
        return legalName;
    }

    /**
     * Setter method for property legalName.
     *
     * @param legalName value to be assigned to property legalName
     */
    public void setLegalName(String legalName) {
        this.legalName = legalName;
    }

    /**
     * Getter method for property registrationType.
     *
     * @return property value of registrationType
     */
    public RegistrationType getRegistrationType() {
        return registrationType;
    }

    /**
     * Setter method for property registrationType.
     *
     * @param registrationType value to be assigned to property registrationType
     */
    public void setRegistrationType(RegistrationType registrationType) {
        this.registrationType = registrationType;
    }

    /**
     * Getter method for property registrationNo.
     *
     * @return property value of registrationNo
     */
    public String getRegistrationNo() {
        return registrationNo;
    }

    /**
     * Setter method for property registrationNo.
     *
     * @param registrationNo value to be assigned to property registrationNo
     */
    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    /**
     * Getter method for property registrationAddress.
     *
     * @return property value of registrationAddress
     */
    public Address getRegistrationAddress() {
        return registrationAddress;
    }

    /**
     * Setter method for property registrationAddress.
     *
     * @param registrationAddress value to be assigned to property registrationAddress
     */
    public void setRegistrationAddress(Address registrationAddress) {
        this.registrationAddress = registrationAddress;
    }

    /**
     * Getter method for property businessType.
     *
     * @return property value of businessType
     */
    public String getBusinessType() {
        return businessType;
    }

    /**
     * Setter method for property businessType.
     *
     * @param businessType value to be assigned to property businessType
     */
    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

}
