/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

/**
 * SettlementStrategy
 *
 * @author wangpeng
 * @version $Id: SettlementStrategy.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class SettlementStrategy extends ToString {
    /** serialVersionUID */
    private static final long serialVersionUID = -7390835334786256764L;
    /**
     * settlementCurrency
     */
    private String            settlementCurrency;

    /**
     * Getter method for property settlementCurrency.
     *
     * @return property value of settlementCurrency
     */
    public String getSettlementCurrency() {
        return settlementCurrency;
    }

    /**
     * Setter method for property settlementCurrency.
     *
     * @param settlementCurrency value to be assigned to property settlementCurrency
     */
    public void setSettlementCurrency(String settlementCurrency) {
        this.settlementCurrency = settlementCurrency;
    }

}
