/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.response;

import com.alipay.ap.model.Amount;

/**
 * Cashier Payment Response
 * @author wqy01239909
 * @version $Id: CashierPaymentResponse.java, v 0.1 2022‐06-23 21:40 wqy01239909 Exp $
 */
public class CashierPaymentResponse extends APSResponse {
    /** serialVersionUID */
    private static final long serialVersionUID = -5958208963851300066L;
    /**
     * acquirerId
     */
    private String            acquirerId;
    /**
     * paymentId
     */
    private String            paymentId;
    /**
     * normalUrl
     */
    private String            normalUrl;
    /**
     * paymentAmount
     */
    private Amount            paymentAmount;
    /**
     * paymentData
     */
    private String            paymentData;
    /**
     * pspId
     */
    private String            pspId;

    /**
     * Getter method for property acquirerId.
     *
     * @return property value of acquirerId
     */
    public String getAcquirerId() {
        return acquirerId;
    }

    /**
     * Setter method for property acquirerId.
     *
     * @param acquirerId value to be assigned to property acquirerId
     */
    public void setAcquirerId(String acquirerId) {
        this.acquirerId = acquirerId;
    }

    /**
     * Getter method for property paymentId.
     *
     * @return property value of paymentId
     */
    public String getPaymentId() {
        return paymentId;
    }

    /**
     * Setter method for property paymentId.
     *
     * @param paymentId value to be assigned to property paymentId
     */
    public void setPaymentId(String paymentId) {
        this.paymentId = paymentId;
    }

    /**
     * Getter method for property normalUrl.
     *
     * @return property value of normalUrl
     */
    public String getNormalUrl() {
        return normalUrl;
    }

    /**
     * Setter method for property normalUrl.
     *
     * @param normalUrl value to be assigned to property normalUrl
     */
    public void setNormalUrl(String normalUrl) {
        this.normalUrl = normalUrl;
    }

    /**
     * Getter method for property paymentAmount.
     *
     * @return property value of paymentAmount
     */
    public Amount getPaymentAmount() {
        return paymentAmount;
    }

    /**
     * Setter method for property paymentAmount.
     *
     * @param paymentAmount value to be assigned to property paymentAmount
     */
    public void setPaymentAmount(Amount paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    /**
     * Getter method for property paymentData.
     *
     * @return property value of paymentData
     */
    public String getPaymentData() {
        return paymentData;
    }

    /**
     * Setter method for property paymentData.
     *
     * @param paymentData value to be assigned to property paymentData
     */
    public void setPaymentData(String paymentData) {
        this.paymentData = paymentData;
    }

    /**
     * Getter method for property pspId.
     *
     * @return property value of pspId
     */
    public String getPspId() {
        return pspId;
    }

    /**
     * Setter method for property pspId.
     *
     * @param pspId value to be assigned to property pspId
     */
    public void setPspId(String pspId) {
        this.pspId = pspId;
    }
}