/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.response;

/**
 * Consult Unbinding Response
 * @author wqy01239909
 * @version $Id: ConsultUnbindingResponse.java, v 0.1 2022‐07-08 15:58 wqy01239909 Exp $
 */
public class ConsultUnbindingResponse extends HttpReceiveResponse {
    /** serialVersionUID */
    private static final long serialVersionUID = -434097304056754860L;
    /**
     * allowUnbinding
     */
    private Boolean           allowUnbinding;
    /**
     * refuseReason
     */
    private String            refuseReason;

    /**
     * Getter method for property allowUnbinding.
     *
     * @return property value of allowUnbinding
     */
    public Boolean isAllowUnbinding() {
        return allowUnbinding;
    }

    /**
     * Setter method for property allowUnbinding.
     *
     * @param allowUnbinding value to be assigned to property allowUnbinding
     */
    public void setAllowUnbinding(Boolean allowUnbinding) {
        this.allowUnbinding = allowUnbinding;
    }

    /**
     * Getter method for property refuseReason.
     *
     * @return property value of refuseReason
     */
    public String getRefuseReason() {
        return refuseReason;
    }

    /**
     * Setter method for property refuseReason.
     *
     * @param refuseReason value to be assigned to property refuseReason
     */
    public void setRefuseReason(String refuseReason) {
        this.refuseReason = refuseReason;
    }
}